Bug 815153 - Installation on multipath device via fibre channel crashes
Installation on multipath device via fibre channel crashes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 19:28 EDT by Adam
Modified: 2012-04-28 16:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-28 16:46:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Hardware Profile (4.09 KB, application/octet-stream)
2012-04-22 19:28 EDT, Adam
no flags Details

  None (edit)
Description Adam 2012-04-22 19:28:34 EDT
Created attachment 579369 [details]
Hardware Profile

Description of problem:
Installing FC16 on FC storage with multiple paths results in a kernel panic.

Version-Release number of selected component (if applicable):
Same result on both Fedora 16 DVD and KDE Spin (after installing qlogic firmware)
Tested on both QLogic QLE2360, and Emulex LP1050EX-F2

How reproducible:
Always

Steps to Reproduce:
1.  Mask LUNs to multiple targets
2.  Boot FC16 disk
3.  Click through menus until you get to the advanced storage section
4.  Select multipath devices to use
5.  Click next
6.  System panics
7.  Mask LUNs to only one target
8.  Boot FC16 disk
9.  Click through menus until you get to the advanced storage section
10. Devices show up as basic devices now
11. Click next
12. System installs fine

  
Actual results:
System crash

Expected results:
Install proceeds

Additional info:
Pic of traceback (sorry about the quality... best I have on hand) http://i1062.photobucket.com/albums/t489/ajodock/IMG-20120422-00024.jpg

Attached hardware profile is after installing on one path
Comment 1 Josh Boyer 2012-04-23 10:33:16 EDT
There's nothing we can do about F16 install media at this point.  Can you try with the F17 Beta and see if this is still an issue?
Comment 2 Adam 2012-04-28 16:45:47 EDT
Works on FC17.

Note You need to log in before you can comment on or make changes to this bug.